Merge branch 'v4-0-test' of ssh://git.samba.org/data/git/samba into 4-0-local
authorAndrew Bartlett <abartlet@samba.org>
Tue, 10 Jun 2008 03:19:56 +0000 (13:19 +1000)
committerAndrew Bartlett <abartlet@samba.org>
Tue, 10 Jun 2008 03:19:56 +0000 (13:19 +1000)
(This used to be commit 1d52d9cc70158dbe30325220aa5c1e6203c8b72b)

WHATSNEW.txt

index e4c4ea80877f305420905b69fa1853681d0ae341..8f17e981feb1dd903b4681027de6e9202817a5b1 100644 (file)
@@ -6,12 +6,8 @@ developed in parallel to the stable 3.0 series. The main emphasis in
 this branch is support for the Active Directory logon protocols used
 by Windows 2000 and above.
 
-Samba 4 is currently not yet in a state where it is usable in
-production environments. Note the WARNINGS below, and the STATUS file,
-which aims to document what should and should not work.
-
 Samba4 alpha4 follows on from the alpha release series we have been
-publishing since September last year.
+publishing since September 2007
 
 WARNINGS
 ========
@@ -24,14 +20,17 @@ Samba4, you would find many things work, but that other key features
 you may have relied on simply are not there yet.
 
 For example, while Samba 3.0 is an excellent member of a Active
-Directory domain, Samba4 is happier as a domain controller: (This is
-where we have done most of the research and development).
-
-While Samba4 is subjected to an awesome battery of tests on an
-automated basis, and we have found Samba4 to be very stable in it's
-behaviour, we have to recommend against upgrading production servers
-from Samba 3 to Samba 4 at this stage.  If you are upgrading an
-experimental server, or looking to develop and test Samba, you should
+Directory domain, Samba4 is happier as a domain controller, and it is
+in this role where it has seen deployment into production.
+
+Samba4 is subjected to an awesome battery of tests on an
+automated basis, we have found Samba4 to be very stable in it's
+behaviour.  We have to recommend against upgrading production servers
+from Samba 3 to Samba 4 at this stage, because there may be the features on
+which you may rely that are not present, or the mapping of
+your configuration and user database may not be complete. 
+
+If you are upgrading, or looking to develop, test or deploy Samba4, you should
 backup all configuration and data.
 
 NEW FEATURES
@@ -63,12 +62,14 @@ working on modules to map between AD-like behaviours and this backend.
 We are aiming for Samba 4 to be powerful frontend to large
 directories.
 
-CHANGES SINCE Alpha3
+CHANGES SINCE Alpha4
 =====================
 
-In the time since Samba4 Alpha2 was released in December 2007, Samba has
+In the time since Samba4 Alpha4 was released in June 2008, Samba has
 continued to evolve, but you may particularly notice these areas:
 
+(TODO: update list when closer to a release)
+
   Python Bindings: Bindings for Python are now used for all internal
   scripting, and the system python installation is used to run all
   Samba python scripts (in place of smbpython found in the previous
@@ -136,9 +137,9 @@ KNOWN ISSUES
   expected during the next alpha cycle
 
 - Samba4 alpha4 is incompatible with GnuTLS 2.0, found in Fedora 9 and
-  recent Ubuntu releases.  Please remove the
-  gnutls-devel/libgnutls-dev package before compiling (otherwise 'make
-  test' and LDAPS operations will hang).
+  recent Ubuntu releases.  GnuTLS use may be disabled using the
+  --disable-gnutls argument to ./configure. (otherwise 'make test' and
+  LDAPS operations will hang).
 
 RUNNING Samba4
 ==============